<div class="min-w-full p-2">
    <form class="flex flex-col w-full">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Define Text Values
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

                <div class="w-full">
                    <div class="flex w-full">
                        <div class="w-full"> <!-- added new -->
                            <div><!-- added new -->
                                <div class="flex flex-col"><!-- added new -->
                                    <div class="flex w-full items-end">
                                        <mat-form-field class="w-1/2 pr-2">
                                            <mat-label>Maximum Length</mat-label>
                                            <mat-select [value]="1">
                                                <mat-option [value]="1">01</mat-option>
                                                <mat-option [value]="2">02</mat-option>
                                            </mat-select>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                        <mat-form-field class="w-1/2 pl-2">
                                            <mat-label>Decimals</mat-label>
                                            <mat-select [value]="1">
                                                <mat-option [value]="1">01</mat-option>
                                                <mat-option [value]="2">02</mat-option>
                                            </mat-select>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                    </div>
                                    <div class="flex flex-col w-full">
                                        <div class="flex">
                                            <mat-form-field class="w-1/2 pr-2">
                                                <mat-label>Add Values</mat-label>
                                                <input matInput [matDatepicker]="picker2" [formControlName]="'expirationdate'" >
                                                <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                                                <mat-datepicker #picker2></mat-datepicker>
                                            </mat-form-field>
                                            <button mat-icon-button class="mt-7"><mat-icon color="warn" class="icon-size-5" svgIcon="heroicons_outline:trash"></mat-icon></button>
                                        </div>

                                        <button type="button" class="sm:inline-flex mr-auto" mat-stroked-button [color]="'primary'">
                                            <mat-icon class="icon-size-5 ml-8 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                            <span class="mr-8">Add Value</span>
                                        </button>
                                    </div>
                                    <button class="sm:inline-flex ml-auto" mat-stroked-button [color]="'primary'" type="button">
                                        <span class="mx-4">Validate</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="flex flex-col justify-start mt-5">
                    <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                        <span>{{'Successfully saved'}}</span>
                    </div>
                    <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                        <span>{{'Something went wrong'}}</span>
                    </div>
                </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-stroked-button [color]="'primary'" type="button">
                <span class="mx-4">Previous</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Save</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
